net.i2p.i2ptunnel.socks

## Class MultiSink

- java.lang.Object
- - net.i2p.i2ptunnel.socks.MultiSink

- All Implemented Interfaces:
    Sink, Source

      public class MultiSink
      extends Object
      implements Source, Sink

  Sends to one of many Sinks
  Author:
    zzz modded from streamr/MultiSource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiSink(Map cache)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `send(Destination from, byte[] data)`
    `void` | `setSink(Sink sink)` Don't use this - put sinks in the cache
    `void` | `start()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiSink

          public MultiSink(Map cache)

  - ### Method Detail

    - #### setSink

          public void setSink(Sink sink)

      Don't use this - put sinks in the cache
      Specified by:
        `setSink` in interface `Source`

    - #### start

          public void start()

      Specified by:
        `start` in interface `Source`

    - #### send

          public void send(Destination from,
                  byte[] data)

      Specified by:
        `send` in interface `Sink`